% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mcq.R
\name{plot.score_mcq27_output}
\alias{plot.score_mcq27_output}
\title{Plot MCQ-27 Scores}
\usage{
\method{plot}{score_mcq27_output}(x, ..., xlab = "Metric", alpha = 0.3)
}
\arguments{
\item{x}{A data frame returned by the \code{score_mcq27} function.}

\item{...}{Additional arguments passed to methods.}

\item{xlab}{Label for the x-axis. Default is "Metric".}

\item{alpha}{Transparency of the points in the plot. Default is 0.3.}
}
\value{
A ggplot object showing the boxplot of MCQ-27 scores.
}
\description{
This function creates a plot of the MCQ-27 scores for
different metrics (small_k, medium_k, large_k, geomean_k, overall_k).
The function handles different logarithmic transformations of the k-values
and adjusts the y-axis label accordingly.
}
\examples{
plot(score_mcq27(mcq27))
}
